html, body, h1, h2, h3, h4, h5 {font-family: "Inter", sans-serif}

.generalContent {
    margin-top: 65px
}

.blank {
    height: 40px;
}

.ipt-details {
    display: inline;
    height: 40px;
    padding-left: 0px;
}
.ipt-details:disabled {
    background: #FFFFFF;
    color: #000000;
    width: calc(100% - 50px);
}
.ipt-details:enabled {
    background: #f1f1f1;
    width: calc(100%);
}

.chk-details {
    padding-right: 50px;
    display: inline;
    padding-left: 0px;
}
.chk-details:disabled {
    background: #FFFFFF;
    color: #000000;
}
.chk-details:enabled {
    background: #f1f1f1;
}

.ipt-search {
    padding-right: 50px;
    width: calc(100% - 50px);
    display: inline;
    height: 40px;
    padding-left: 0px;
}
.ipt-search:disabled {
    background: #FFFFFF;
    color: #000000;
}
.ipt-search:enabled {
    background: #f1f1f1;
}

.ipt-lookup {
    width: calc(100% - 50px);
    display: inline;
    height: 40px;
    padding-left: 0px;
    text-decoration: none;
}

.ipt-lookup[readonly] {
    background: #FFFFFF;
    color: #000000;
    text-decoration: underline;
    cursor: pointer;
    outline: none;
}

.ipt-lookup:read-write {
    background: #f1f1f1;
    text-decoration: none;
    cursor: text;
}

.ipt-link {
    width: calc(100% - 50px);
    display: inline;
    height: 40px;
    padding-left: 0px;
    text-decoration: none;
}

.ipt-link[readonly] {
    background: #FFFFFF;
    color: #000000;

    text-decoration: underline;
    cursor: pointer;
    outline: none;
}

.ipt-link:read-write {
    background: #f1f1f1;
    width: calc(100%);
    text-decoration: none;
    cursor: text;
}

.ipt-text {
    display: inline;
    height: 40px;
    padding-left: 0px;
}

.ipt-text:disabled {
    background: #FFFFFF;
    color: #000000;
    width: calc(100% - 50px);
}

.ipt-text:enabled {
    background: #f1f1f1;
    width: calc(100% - 50px);
}

.btn-edit {
    margin-left: -50px;
    width: 50px;
    height: 40px;
    background-color: transparent;
}
.btn-link {
    margin-left: -50px;
    width: 50px;
    height: 40px;
    background-color: transparent;
}
.btn-search {
    margin-left: -50px;
    width: 50px;
    height: 40px;
    display: none;
}
.btn-action {
    margin-left: -50px;
    width: 50px;
    height: 40px;
    display: none;
}

/* Standard für Mobilgeräte (18px) */
.header {
    font-size: 14px;
    font-weight: bold;
}

/* Anpassung für Desktop (16px) */
@media (min-width: 993px) {
    .header {
        font-size: 18px  !important;
        font-weight: bold  !important;
    }
}

#overlay, #RecordOverlay{
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); /* Black background with opacity */
    z-index: 3; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

#LeftMenu {
    z-index: 4;
}

#topHeader{
    padding-left: 16px;
    overflow-y:hidden;
    position: absolute;
    height: 65px;
    width: calc(100% - 32px);

}

/* Die Basis-Animation */
.rotate-45 {
    transform: rotate(45deg);
}
.btn-transition {
    transition: transform 0.3s ease-in-out;
}

.signature-container {
    width: 100%;
    height: 300px; /* Hier die sinnvolle Höhe für Smartphones */
    background-color: #f9f9f9; /* Leicht grau, damit man das Feld sieht */
    border: 1px solid #ddd;
    margin-bottom: 10px;
}

#signature-canvas {
    height: 100%; /* Wichtig, damit er den Container füllt */
}

.tablink {
    cursor: pointer;
}

.mobile-list {
    display: grid;
    grid-template-columns: 100px 1fr;
    gap: 1px;
}

dl {
    margin: 0;
    padding: 0;
    margin-top: 2px; /* Schiebt die Beschreibung näher an den Begriff */
}
dt {
    font-weight: bold;
    margin: 0;
    padding: 0;
    margin-top: 2px; /* Schiebt die Beschreibung näher an den Begriff */
    line-height: 1.2; /* Kompakterer Textfluss */
}
dd {
    margin: 0;
    padding: 0;
    margin-top: 2px; /* Schiebt die Beschreibung näher an den Begriff */
    line-height: 1.2; /* Kompakterer Textfluss */
}